> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpalm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a document

> Removes a document from this business. The file is permanently deleted from storage and cannot be recovered. To retrieve a document's details before deleting it, use the [document endpoint](/api-reference/v1/documents/retrieve-a-document).



## OpenAPI

````yaml /api-reference/v1/openapi.json delete /v1/business/{business_id}/document/{document_id}
openapi: 3.0.0
info:
  title: Palm Partner API
  description: >-
    The Palm API is identity verification and compliance infrastructure for US
    businesses: onboard businesses, verify businesses and people (KYB/KYC)
    against authoritative sources, monitor them for changes in real time, and
    act on their behalf through filings, formation, and registered agent
    services.
  version: '1.0'
  contact:
    name: Palm Support
    url: https://getpalm.com
    email: support@getpalm.com
  termsOfService: https://getpalm.com/terms
  license:
    name: Proprietary
    url: https://getpalm.com/license
servers:
  - url: https://api.getpalm.com
    description: Production
security: []
tags:
  - name: Registry
    description: Search business registries
  - name: Verification
    description: Identity and business verification
  - name: Monitor
    description: Continuous monitoring of businesses
  - name: Business
    description: Business entity management
  - name: User
    description: User identity management
paths:
  /v1/business/{business_id}/document/{document_id}:
    delete:
      tags:
        - Business
      summary: Delete a document
      description: >-
        Removes a document from this business. The file is permanently deleted
        from storage and cannot be recovered. To retrieve a document's details
        before deleting it, use the [document
        endpoint](/api-reference/v1/documents/retrieve-a-document).
      operationId: deleteBusinessDocument
      parameters:
        - name: business_id
          required: true
          in: path
          description: The ID of the business the document belongs to.
          schema:
            type: string
        - name: document_id
          required: true
          in: path
          description: The ID of the document to delete.
          schema:
            type: string
      responses:
        '204':
          description: Document deleted
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '429':
          description: Rate Limited
        '500':
          description: Server Error
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      scheme: bearer
      bearerFormat: opaque
      type: http
      description: 'Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx'

````